#ifndef __MY_GLOBAL_h
#define __MY_GLOBAL_h

#include <afxmt.h>

#ifndef false
#define false 0
#endif
#ifndef true
#define true 1
#endif

#define START_FRAME 0x81  //start frame delimiter is 129; one of only two 8 bit long words
#define END_FRAME 0xF1    //end frame delimiter is 241; the second of the 8 bit long words
#define RESPONSE_ERROR 'E'
#define RESPONSE_OK 'O'
#define RESPONSE_COMMENT 'C'
#define RESPONSE_VALUES 'V'
#define COMMAND_HELLO 'H'
#define COMMAND_GET_VALUE 'A'
#define COMMAND_GET_PERIODIC 'P'
#define COMMAND_PROG_SLAVES 'S'


#define PARSE_NOT_FOUND -2

//reference voltages for A/D converter
#define AD_MAX_AVCC 0.6
#define AD_MIN_AVCC 0
#define AD_RESOLUTION 65536.0  //16 bits
#define AD_ZERO 32768.0
#define my_square(a) (a)*(a)  //square macro

extern CCriticalSection inbuffer_mutex;
extern CCriticalSection hello_mutex;
extern CCriticalSection scomm_mutex;
extern CCriticalSection ui_mutex;


#endif
